The Greek Rugby Union Championship is the most important domestic competition of rugby union in Greece. It started in 2005 and is organised by Greek Rugby Federation. During the period that championships were held, the most titles were won by Athens RFC and one title was won by Attica Springboks RFC and one by Iraklis Rugby.

Abolishment of the Federation The Hellenic Rugby Federation was abolished in 2014 due to the very low number of active clubs in the sport. and control of the sports development has since been handed over to the Hellenic Handball Federation which announced it would be setting up a development board with representatives of recognised clubs (currently Attica Springboks RFC, Athens Spartans RFC and Athens RFC) with a view to setting up a series of friendly matches between existing clubs until such time as enough teams exist so that an official championship can be set up.

Titles Season Champion2005-06Athens RFC2006-07Athens RFC2007-08Athens RFC2008-09Athens RFC2009-10Athens RFC2010-11Athens RFC2011-12Attica Springboks RFC2012-13Iraklis Thessaloniki2013-14not held2024-25 Panathinaikos Rugby2025-26 Panathinaikos Rugby

Performance by club ClubChampionshipsSeasonAthens RFC62006, 2007, 2008, 2009, 2010, 2011 Panathinaikos Rugby22025, 2026Attica Springboks RFC12012Iraklis Thessaloniki12013

References

External links Greek Rugby Federation